<?php

namespace App\Entities\ProfissionalClinica;

use App\Utils\Entity;

class ProfissionalClinica extends Entity {
	protected $id;
	protected $id_profissional;
	protected $id_pessoa_juridica;

	public static function builder() {

		return new ProfissionalClinicaBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function setId($id): void {

		$this->id = $id;

	}

	public function getIdProfissional(): int {

		return $this->id_profissional;

	}

	public function setIdProfissional($id_profissional): void {

		$this->id_profissional = $id_profissional;

	}

	public function getIdsessoaJuridica(): int {

		return $this->id_pessoa_juridica;

	}

	public function setIdPessoaJuridica($id_pessoa_juridica): void {

		$this->id_pessoa_juridica = $id_pessoa_juridica;

	}

}